Alokai

SapccApiCreateConsolidatedPickupLocationRequest

Request parameters for createConsolidatedPickupLocation operation in SapccApi. SapccApiCreateConsolidatedPickupLocationRequest

interface SapccApiCreateConsolidatedPickupLocationRequest {
	readonly baseSiteId: string;
	readonly cartId: string;
	readonly fields?: string;
	readonly storeName: string;
	readonly userId: string;
}

Properties

NameRequiredTypeDescription
baseSiteIdRequiredstringBase site identifier. {string} SapccApiCreateConsolidatedPickupLocation
cartIdRequiredstringCart identifier: cart code for logged-in user, cart GUID for anonymous user, or 'current' for the last modified cart. {string} SapccApiCreateConsolidatedPickupLocation
fieldsOptionalstringResponse configuration. This is the list of fields that should be returned in the response body. Examples: BASIC,DEFAULT,FULL {string} SapccApiCreateConsolidatedPickupLocation
storeNameRequiredstringThe name of the store where items will be picked up {string} SapccApiCreateConsolidatedPickupLocation
userIdRequiredstringUser identifier or one of the literals : 'current' for currently authenticated user, 'anonymous' for anonymous user. {string} SapccApiCreateConsolidatedPickupLocation

On this page